import { Base, Type } from "igniteui-angular-core";
import { IDomainChartToolbarProvider } from "./IDomainChartToolbarProvider";
import { ToolCommandStateChanged } from "igniteui-angular-core";
import { ToolActionInfo } from "igniteui-angular-core";
import { IDomainChartLike } from "./IDomainChartLike";
import { HashSet$1 } from "igniteui-angular-core";
import { IToolbarContextAccessor } from "igniteui-angular-core";
import { ToolCommandExecutionState } from "igniteui-angular-core";
import { ToolCommand } from "igniteui-angular-core";
import { ToolCommandStateType } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class DomainChartToolbarProvider extends Base implements IDomainChartToolbarProvider {
    static $t: Type;
    private e;
    protected g: boolean;
    private _container;
    get container(): any;
    set container(a: any);
    private b;
    private c;
    private _commandChanged;
    get commandChanged(): (arg1: ToolCommandStateChanged) => void;
    set commandChanged(a: (arg1: ToolCommandStateChanged) => void);
    private static ag;
    getDesiredToolbarActions(a: IDomainChartLike, b: ToolActionInfo[], c: HashSet$1<IToolbarContextAccessor>): ToolActionInfo[];
    private i;
    protected j(a: IDomainChartLike, b: ToolActionInfo): void;
    onToolCommandExecuting(a: IDomainChartLike, b: ToolCommand): ToolCommandExecutionState;
    onTargetPropertyChanged(a: IDomainChartLike, b: string, c: any, d: any): void;
    protected ac(a: IDomainChartLike, b: string, c: any, d: any): void;
    protected k(a: string, b: ToolCommandStateType, c: any): void;
    protected h(a: ToolCommand, b: string): boolean;
    private q;
    private f;
    private a;
    protected s(a: IDomainChartLike, b: ToolCommand): void;
    private r;
    private u;
    private v;
    private y;
    private w;
    private x;
    private l;
    private z;
    private ab;
    private aa;
    private p;
    private n;
    private o;
    private m;
    private d;
    private t;
    private ad;
    private ae;
    private af;
}
